# Uses of Class
org.eclipse.birt.report.model.api.elements.table.LayoutCell

Packages that use LayoutCell
Package
Description
org.eclipse.birt.report.model.api.elements.table

## Uses of LayoutCell in org.eclipse.birt.report.model.api.elements.table

Fields in org.eclipse.birt.report.model.api.elements.table declared as LayoutCell
Modifier and Type
Field
Description
`protected static final LayoutCell`
LayoutCell.`EMPTY_CELL`
The empty cell.
Methods in org.eclipse.birt.report.model.api.elements.table that return LayoutCell
Modifier and Type
Method
Description
`LayoutCell`
LayoutRow.`getLayoutCell(int colId)`
Returns the cell with the given index.
`protected LayoutCell`
LayoutRow.`getLayoutCell(CellHandle cell)`
Returns the layout cell with the given cell element.
`LayoutCell`
LayoutSlot.`getLayoutCell(int rowId, int colId)`
Return the layout cell with the given row and column index.
`protected LayoutCell`
LayoutSlot.`getLayoutCell(int rowId, CellHandle cell)`
Return the layout cell with the given row and column index.
Methods in org.eclipse.birt.report.model.api.elements.table with parameters of type LayoutCell
Modifier and Type
Method
Description
`protected void`
LayoutRow.`addCell(LayoutCell cell)`
Addes a cell to the current row.